Skip to main content
GET
/
api
/
v1
/
webhooks
/
{id}
/
deliveries
List recent deliveries for a webhook endpoint
curl --request GET \
  --url https://api.devhelm.io/api/v1/webhooks/{id}/deliveries \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "endpointId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "eventId": "<string>",
      "eventType": "<string>",
      "status": "<string>",
      "attemptCount": 123,
      "maxAttempts": 123,
      "responseStatus": 123,
      "responseLatencyMs": 123,
      "errorMessage": "<string>",
      "deliveredAt": "2023-11-07T05:31:56Z",
      "failedAt": "2023-11-07T05:31:56Z",
      "nextRetryAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "hasNext": true,
  "hasPrev": true
}

Authorizations

Authorization
string
header
required

API key (dh_live_...) or Auth0 JWT token

Path Parameters

id
string<uuid>
required

Query Parameters

limit
integer<int32>
default:20

Response

200 - */*

OK

data
object[]
hasNext
boolean
hasPrev
boolean